<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="ProgressProcessor"/>
    <processor name="WireChamberTracker" />
    <processor name="OutputProcessor"/> 
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/user/c/cgrefe/scratch0/DHCAL/LCIO/NoiseRemoved_660356.slcio </parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="10000" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE  </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="100" />
</processor>

<processor name="WireChamberTracker" type="WireChamberTracker">
    <parameter name="InputCollection"> WireChamberHits </parameter>
    <parameter name="OutputCollection"> WireChamberTracks </parameter>
    <parameter name="MaxChi2"> 20. </parameter>
</processor>

<processor name="OutputProcessor" type="LCIOOutputProcessor">
    <!--Writes the current event to the specified LCIO outputfile. Needs to be the last ActiveProcessor.-->
    <!-- name of output file -->
    <parameter name="LCIOOutputFile" type="string"> wireChamberTrackerTest.slcio </parameter>
    <!--write mode for output file:  WRITE_APPEND or WRITE_NEW-->
    <parameter name="LCIOWriteMode" type="string"> WRITE_NEW </parameter>
</processor>

</marlin>

